Subject: Re: bug#4136: 23.1; delete-pair

From: Juri Linkov <[email-masked]>
Date: Sat, 15 Aug 2009 01:45:45 +0300

> Here is a version that checks that does exactly what Martin suggested.
> It even fails on something like (...] -- which is very useful for
> keyboard macros, since if you have that text in a buffer, then
> something is probably messed up enough to require your attention.

This command is useful even if it doesn't fail on (...] because
forward-sexp and backward-sexp don't fail on (...].

It seems you and Martin prefer checking against the `insert-pair-alist'
because the function name `delete-pair' suggests it should be
a counterpart of `insert-pair'.  In this case I think we sould have
two commands: one more strict version `delete-pair' that checks
`insert-pair-alist', and another loose version with the name e.g.
`delete-parens' with the body of the current `delete-pair'.

-- 
Juri Linkov
http://www.jurta.org/emacs/